<?php
session_start();

/*   [uf] => 13
    [cidade] => 
    [estados] => 13
    [cidades] => 71
    [data] => 11/05/2016
    [titulop] => 2342
    [slug] => 2344
    [depp] => 43432*/

include "../phpconfig/config.php";
include "../phpconfig/valida_login.php";
include "../phpconfig/funcoes.php";
include '../phpconfig/slugfy.php';    //Geração de slugs
include '../phpconfig/resize.php';    //Classe de resige GD2
include '../phpconfig/genpass.php';   //Geração de senhas




// ANTIGO titulo_pt
$id_cidade = ($_POST['cidades']);
$cnae = mysql_real_escape_string($_POST['titulop']);

$n5 = mysql_real_escape_string($_POST['titulopb']);

$nivel_5_1 = mysql_real_escape_string($_POST['depp']);

$nivel_5_2 = mysql_real_escape_string($_POST['depp2']);

// serve para ativar o bairro ou a cidade

if(isset($_POST['ativo'])) 
{
	$ativo = 1;
}else{
	$ativo = 0;
}

if(isset($_POST['destaque'])) 
{
	$destaque = 1;
}else{
	$destaque = 0;
}

// xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx

    $data_cad      =troca_data($_POST['data']);
        $slug       = slugfyURL($_POST['slug']); 
$img = $_FILES['imagem'];

// ANTIGO titulo_pt
$slug = trim($slug); 
if(strlen($slug)==0) { $slug=slugfyURL($cnae); }

$uploadDir = sti('up')."noticias/";


$fileTypes = array('jpg', 'jpeg', 'gif', 'png'); // Allowed file extensions

if (!empty($img)) {
	$tempFile   = $img['tmp_name'];
	$uploadDir  = $_SERVER['DOCUMENT_ROOT'] . $uploadDir;

//	echo $uploadDir; exit;
	$arch = slugfyUp($img['name']);
	$name = simplesPass(array(1,0,1,0),4)."-".$arch;
	$targetFile = $uploadDir.$name;

	// Validate the filetype
	$fileParts = pathinfo($img['name']);
	if (in_array(strtolower($fileParts['extension']), $fileTypes)) {

		move_uploaded_file($tempFile, $targetFile);

		$resizeObj = new resize($targetFile);

		// Resize image (options: exact, portrait (pela lagura), landscape(pela altura), auto, crop)
		$resizeObj -> resizeImage(800, 476, 'portrait');
		$resizeObj -> saveImage($uploadDir.'full-'.$name, 80);
		$resizeObj -> resizeImage(588, 350, 'crop');
		$resizeObj -> saveImage($uploadDir.$name, 80);
	}
}
 
 
 
 // ALTEARAR NOME DO BANCO
 
 
 
 
mysql_query("INSERT INTO atividade_nivel_5 SET ativo='$ativo', n5='$n5', cnae='$cnae', nivel_5_1='$nivel_5_1', nivel_5_2='$nivel_5_2'", $con) or die(mysql_error());
header("location:index.php");